## e-shell-window-actions e-shell-window-actions |

## Functions

#define | E_SHELL_WINDOW_ACTION()
#define | E_SHELL_WINDOW_ACTION_GROUP()
#define | E_SHELL_WINDOW_ACTION_ABOUT()
#define | E_SHELL_WINDOW_ACTION_ACCOUNTS()
#define | E_SHELL_WINDOW_ACTION_CLOSE()
#define | E_SHELL_WINDOW_ACTION_CONTENTS()
#define | E_SHELL_WINDOW_ACTION_COPY_CLIPBOARD()
#define | E_SHELL_WINDOW_ACTION_CUT_CLIPBOARD()
#define | E_SHELL_WINDOW_ACTION_DELETE_SELECTION()
#define | E_SHELL_WINDOW_ACTION_GAL_CUSTOM_VIEW()
#define | E_SHELL_WINDOW_ACTION_GAL_DELETE_VIEW()
#define | E_SHELL_WINDOW_ACTION_GAL_SAVE_CUSTOM_VIEW()
#define | E_SHELL_WINDOW_ACTION_IMPORT()
#define | E_SHELL_WINDOW_ACTION_NEW_WINDOW()
#define | E_SHELL_WINDOW_ACTION_PAGE_SETUP()
#define | E_SHELL_WINDOW_ACTION_PASTE_CLIPBOARD()
#define | E_SHELL_WINDOW_ACTION_PREFERENCES()
#define | E_SHELL_WINDOW_ACTION_QUIT()
#define | E_SHELL_WINDOW_ACTION_SEARCH_ADVANCED()
#define | E_SHELL_WINDOW_ACTION_SEARCH_CLEAR()
#define | E_SHELL_WINDOW_ACTION_SEARCH_EDIT()
#define | E_SHELL_WINDOW_ACTION_SEARCH_OPTIONS()
#define | E_SHELL_WINDOW_ACTION_SEARCH_QUICK()
#define | E_SHELL_WINDOW_ACTION_SEARCH_SAVE()
#define | E_SHELL_WINDOW_ACTION_SELECT_ALL()
#define | E_SHELL_WINDOW_ACTION_SHOW_MENUBAR()
#define | E_SHELL_WINDOW_ACTION_SHOW_SIDEBAR()
#define | E_SHELL_WINDOW_ACTION_SHOW_SWITCHER()
#define | E_SHELL_WINDOW_ACTION_SHOW_TASKBAR()
#define | E_SHELL_WINDOW_ACTION_SHOW_TOOLBAR()
#define | E_SHELL_WINDOW_ACTION_SUBMIT_BUG()
#define | E_SHELL_WINDOW_ACTION_SWITCHER_INITIAL()
#define | E_SHELL_WINDOW_ACTION_SWITCHER_MENU()
#define | E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_BOTH()
#define | E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_ICONS()
#define | E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_TEXT()
#define | E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_USER()
#define | E_SHELL_WINDOW_ACTION_WORK_OFFLINE()
#define | E_SHELL_WINDOW_ACTION_WORK_ONLINE()
#define | E_SHELL_WINDOW_ACTION_GROUP_CUSTOM_RULES()
#define | E_SHELL_WINDOW_ACTION_GROUP_GAL_VIEW()
#define | E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_APPLICATION_HANDLERS()
#define | E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_PRINTING()
#define | E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_PRINT_SETUP()
#define | E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_SAVE_TO_DISK()
#define | E_SHELL_WINDOW_ACTION_GROUP_NEW_ITEM()
#define | E_SHELL_WINDOW_ACTION_GROUP_NEW_SOURCE()
#define | E_SHELL_WINDOW_ACTION_GROUP_SHELL()
#define | E_SHELL_WINDOW_ACTION_GROUP_SWITCHER()
#define | E_SHELL_WINDOW_ACTION_GROUP_NEW_WINDOW()

## Description

## Functions

### E_SHELL_WINDOW_ACTION()

    #define             E_SHELL_WINDOW_ACTION(window, name)

`E_SHELL_WINDOW_ACTION` is deprecated and should not be used in newly-written code.

### E_SHELL_WINDOW_ACTION_GROUP()

    #define             E_SHELL_WINDOW_ACTION_GROUP(window, name)

`E_SHELL_WINDOW_ACTION_GROUP` is deprecated and should not be used in newly-written code.

### E_SHELL_WINDOW_ACTION_ABOUT()

    #define             E_SHELL_WINDOW_ACTION_ABOUT(window)

`E_SHELL_WINDOW_ACTION_ABOUT` is deprecated and should not be used in newly-written code.

Activation of this action displays the application's About dialog.

Main menu item: Help -> About

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_ACCOUNTS()

    #define             E_SHELL_WINDOW_ACTION_ACCOUNTS(window)

`E_SHELL_WINDOW_ACTION_ACCOUNTS` is deprecated and should not be used in newly-written code.

### E_SHELL_WINDOW_ACTION_CLOSE()

    #define             E_SHELL_WINDOW_ACTION_CLOSE(window)

`E_SHELL_WINDOW_ACTION_CLOSE` is deprecated and should not be used in newly-written code.

Activation of this action closes `window` . If this is the last window, the application initiates shutdown.

Main menu item: File -> Close

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_CONTENTS()

    #define             E_SHELL_WINDOW_ACTION_CONTENTS(window)

`E_SHELL_WINDOW_ACTION_CONTENTS` is deprecated and should not be used in newly-written code.

Activation of this action opens the application's user manual.

Main menu item: Help -> Contents

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_COPY_CLIPBOARD()

    #define             E_SHELL_WINDOW_ACTION_COPY_CLIPBOARD(window)

`E_SHELL_WINDOW_ACTION_COPY_CLIPBOARD` is deprecated and should not be used in newly-written code.

### E_SHELL_WINDOW_ACTION_CUT_CLIPBOARD()

    #define             E_SHELL_WINDOW_ACTION_CUT_CLIPBOARD(window)

`E_SHELL_WINDOW_ACTION_CUT_CLIPBOARD` is deprecated and should not be used in newly-written code.

### E_SHELL_WINDOW_ACTION_DELETE_SELECTION()

    #define             E_SHELL_WINDOW_ACTION_DELETE_SELECTION(window)

`E_SHELL_WINDOW_ACTION_DELETE_SELECTION` is deprecated and should not be used in newly-written code.

### E_SHELL_WINDOW_ACTION_GAL_CUSTOM_VIEW()

    #define             E_SHELL_WINDOW_ACTION_GAL_CUSTOM_VIEW(window)

`E_SHELL_WINDOW_ACTION_GAL_CUSTOM_VIEW` is deprecated and should not be used in newly-written code.

This radio action is selected when using a custom GAL view that has not been saved.

Main menu item: View -> Current View -> Custom View

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_GAL_DELETE_VIEW()

    #define             E_SHELL_WINDOW_ACTION_GAL_DELETE_VIEW(window)

`E_SHELL_WINDOW_ACTION_GAL_DELETE_VIEW` is deprecated and should not be used in newly-written code.

Activation of this action deletes the current user-created GAL view.

Main menu item: View -> Current View -> Delete Current View

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_GAL_SAVE_CUSTOM_VIEW()

    #define             E_SHELL_WINDOW_ACTION_GAL_SAVE_CUSTOM_VIEW(window)

`E_SHELL_WINDOW_ACTION_GAL_SAVE_CUSTOM_VIEW` is deprecated and should not be used in newly-written code.

Activation of this action saves a custom GAL view.

Main menu item: View -> Current View -> Save Custom View...

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_IMPORT()

    #define             E_SHELL_WINDOW_ACTION_IMPORT(window)

`E_SHELL_WINDOW_ACTION_IMPORT` is deprecated and should not be used in newly-written code.

Activation of this action opens the Evolution Import Assistant.

Main menu item: File -> Import...

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_NEW_WINDOW()

    #define             E_SHELL_WINDOW_ACTION_NEW_WINDOW(window)

`E_SHELL_WINDOW_ACTION_NEW_WINDOW` is deprecated and should not be used in newly-written code.

Activation of this action opens a new shell window.

Main menu item: File -> New Window

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_PAGE_SETUP()

    #define             E_SHELL_WINDOW_ACTION_PAGE_SETUP(window)

`E_SHELL_WINDOW_ACTION_PAGE_SETUP` is deprecated and should not be used in newly-written code.

Activation of this action opens the application's Page Setup dialog.

Main menu item: File -> Page Setup...

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_PASTE_CLIPBOARD()

    #define             E_SHELL_WINDOW_ACTION_PASTE_CLIPBOARD(window)

`E_SHELL_WINDOW_ACTION_PASTE_CLIPBOARD` is deprecated and should not be used in newly-written code.

### E_SHELL_WINDOW_ACTION_PREFERENCES()

    #define             E_SHELL_WINDOW_ACTION_PREFERENCES(window)

`E_SHELL_WINDOW_ACTION_PREFERENCES` is deprecated and should not be used in newly-written code.

Activation of this action opens the application's Preferences window.

Main menu item: Edit -> Preferences

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_QUIT()

    #define             E_SHELL_WINDOW_ACTION_QUIT(window)

`E_SHELL_WINDOW_ACTION_QUIT` is deprecated and should not be used in newly-written code.

Activation of this action initiates application shutdown.

Main menu item: File -> Quit

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SEARCH_ADVANCED()

    #define             E_SHELL_WINDOW_ACTION_SEARCH_ADVANCED(window)

`E_SHELL_WINDOW_ACTION_SEARCH_ADVANCED` is deprecated and should not be used in newly-written code.

Activation of this action opens an Advanced Search dialog.

Main menu item: Search -> Advanced Search...

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SEARCH_CLEAR()

    #define             E_SHELL_WINDOW_ACTION_SEARCH_CLEAR(window)

`E_SHELL_WINDOW_ACTION_SEARCH_CLEAR` is deprecated and should not be used in newly-written code.

Activation of this action clears the most recent search results.

Main menu item: Search -> Clear

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SEARCH_EDIT()

    #define             E_SHELL_WINDOW_ACTION_SEARCH_EDIT(window)

`E_SHELL_WINDOW_ACTION_SEARCH_EDIT` is deprecated and should not be used in newly-written code.

Activation of this action opens a dialog for editing saved searches.

Main menu item: Search -> Edit Saved Searches...

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SEARCH_OPTIONS()

    #define             E_SHELL_WINDOW_ACTION_SEARCH_OPTIONS(window)

`E_SHELL_WINDOW_ACTION_SEARCH_OPTIONS` is deprecated and should not be used in newly-written code.

Activation of this action displays a menu of search options. This appears as a "find" icon in the window's search entry.

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SEARCH_QUICK()

    #define             E_SHELL_WINDOW_ACTION_SEARCH_QUICK(window)

`E_SHELL_WINDOW_ACTION_SEARCH_QUICK` is deprecated and should not be used in newly-written code.

Activation of this action executes the current search conditions.

Main menu item: Search -> Find Now

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SEARCH_SAVE()

    #define             E_SHELL_WINDOW_ACTION_SEARCH_SAVE(window)

`E_SHELL_WINDOW_ACTION_SEARCH_SAVE` is deprecated and should not be used in newly-written code.

Activation of this action saves the current search conditions.

Main menu item: Search -> Save Search...

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SELECT_ALL()

    #define             E_SHELL_WINDOW_ACTION_SELECT_ALL(window)

`E_SHELL_WINDOW_ACTION_SELECT_ALL` is deprecated and should not be used in newly-written code.

### E_SHELL_WINDOW_ACTION_SHOW_MENUBAR()

    #define             E_SHELL_WINDOW_ACTION_SHOW_MENUBAR(window)

`E_SHELL_WINDOW_ACTION_SHOW_MENUBAR` is deprecated and should not be used in newly-written code.

This toggle action controls whether the menu bar is visible.

Main menu item: View -> Layout -> Show Menu Bar

#### Parameters

window | an EShellWindow |

Since: 3.24

### E_SHELL_WINDOW_ACTION_SHOW_SIDEBAR()

    #define             E_SHELL_WINDOW_ACTION_SHOW_SIDEBAR(window)

`E_SHELL_WINDOW_ACTION_SHOW_SIDEBAR` is deprecated and should not be used in newly-written code.

This toggle action controls whether the side bar is visible.

Main menu item: View -> Layout -> Show Side Bar

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SHOW_SWITCHER()

    #define             E_SHELL_WINDOW_ACTION_SHOW_SWITCHER(window)

`E_SHELL_WINDOW_ACTION_SHOW_SWITCHER` is deprecated and should not be used in newly-written code.

This toggle action controls whether the switcher buttons are visible.

Main menu item: View -> Switcher Appearance -> Show Buttons

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SHOW_TASKBAR()

    #define             E_SHELL_WINDOW_ACTION_SHOW_TASKBAR(window)

`E_SHELL_WINDOW_ACTION_SHOW_TASKBAR` is deprecated and should not be used in newly-written code.

This toggle action controls whether the task bar is visible.

Main menu item: View -> Layout -> Show Status Bar

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SHOW_TOOLBAR()

    #define             E_SHELL_WINDOW_ACTION_SHOW_TOOLBAR(window)

`E_SHELL_WINDOW_ACTION_SHOW_TOOLBAR` is deprecated and should not be used in newly-written code.

This toggle action controls whether the tool bar is visible.

Main menu item: View -> Layout -> Show Tool Bar

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SUBMIT_BUG()

    #define             E_SHELL_WINDOW_ACTION_SUBMIT_BUG(window)

`E_SHELL_WINDOW_ACTION_SUBMIT_BUG` is deprecated and should not be used in newly-written code.

Activation of this action allows users to report a bug using Bug Buddy.

Main menu item: Help -> Submit Bug Report

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SWITCHER_INITIAL()

    #define             E_SHELL_WINDOW_ACTION_SWITCHER_INITIAL(window)

`E_SHELL_WINDOW_ACTION_SWITCHER_INITIAL` is deprecated and should not be used in newly-written code.

### E_SHELL_WINDOW_ACTION_SWITCHER_MENU()

    #define             E_SHELL_WINDOW_ACTION_SWITCHER_MENU(window)

`E_SHELL_WINDOW_ACTION_SWITCHER_MENU` is deprecated and should not be used in newly-written code.

### E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_BOTH()

    #define             E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_BOTH(window)

`E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_BOTH` is deprecated and should not be used in newly-written code.

This radio action displays switcher buttons with icons and text.

Main menu item: View -> Switcher Appearance -> Icons and Text

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_ICONS()

    #define             E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_ICONS(window)

`E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_ICONS` is deprecated and should not be used in newly-written code.

This radio action displays switcher buttons with icons only.

Main menu item: View -> Switcher Appearance -> Icons Only

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_TEXT()

    #define             E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_TEXT(window)

`E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_TEXT` is deprecated and should not be used in newly-written code.

This radio action displays switcher buttons with text only.

Main menu item: View -> Switcher Appearance -> Text Only

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_USER()

    #define             E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_USER(window)

`E_SHELL_WINDOW_ACTION_SWITCHER_STYLE_USER` is deprecated and should not be used in newly-written code.

This radio action displays switcher buttons according to the desktop toolbar setting.

Main menu item: View -> Switcher Appearance -> Toolbar Style

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_WORK_OFFLINE()

    #define             E_SHELL_WINDOW_ACTION_WORK_OFFLINE(window)

`E_SHELL_WINDOW_ACTION_WORK_OFFLINE` is deprecated and should not be used in newly-written code.

Activation of this action puts the application into offline mode.

Main menu item: File -> Work Offline

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_WORK_ONLINE()

    #define             E_SHELL_WINDOW_ACTION_WORK_ONLINE(window)

`E_SHELL_WINDOW_ACTION_WORK_ONLINE` is deprecated and should not be used in newly-written code.

Activation of this action puts the application into online mode.

Main menu item: File -> Work Online

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_GROUP_CUSTOM_RULES()

    #define             E_SHELL_WINDOW_ACTION_GROUP_CUSTOM_RULES(window)

`E_SHELL_WINDOW_ACTION_GROUP_CUSTOM_RULES` is deprecated and should not be used in newly-written code.

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_GROUP_GAL_VIEW()

    #define             E_SHELL_WINDOW_ACTION_GROUP_GAL_VIEW(window)

`E_SHELL_WINDOW_ACTION_GROUP_GAL_VIEW` is deprecated and should not be used in newly-written code.

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_APPLICATION_HANDLERS()

    #define             E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_APPLICATION_HANDLERS(window)

`E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_APPLICATION_HANDLERS` is deprecated and should not be used in newly-written code.

### E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_PRINTING()

    #define             E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_PRINTING(window)

`E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_PRINTING` is deprecated and should not be used in newly-written code.

### E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_PRINT_SETUP()

    #define             E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_PRINT_SETUP(window)

`E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_PRINT_SETUP` is deprecated and should not be used in newly-written code.

### E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_SAVE_TO_DISK()

    #define             E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_SAVE_TO_DISK(window)

`E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_SAVE_TO_DISK` is deprecated and should not be used in newly-written code.

### E_SHELL_WINDOW_ACTION_GROUP_NEW_ITEM()

    #define             E_SHELL_WINDOW_ACTION_GROUP_NEW_ITEM(window)

`E_SHELL_WINDOW_ACTION_GROUP_NEW_ITEM` is deprecated and should not be used in newly-written code.

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_GROUP_NEW_SOURCE()

    #define             E_SHELL_WINDOW_ACTION_GROUP_NEW_SOURCE(window)

`E_SHELL_WINDOW_ACTION_GROUP_NEW_SOURCE` is deprecated and should not be used in newly-written code.

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_GROUP_SHELL()

    #define             E_SHELL_WINDOW_ACTION_GROUP_SHELL(window)

`E_SHELL_WINDOW_ACTION_GROUP_SHELL` is deprecated and should not be used in newly-written code.

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_GROUP_SWITCHER()

    #define             E_SHELL_WINDOW_ACTION_GROUP_SWITCHER(window)

`E_SHELL_WINDOW_ACTION_GROUP_SWITCHER` is deprecated and should not be used in newly-written code.

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_GROUP_NEW_WINDOW()

    #define             E_SHELL_WINDOW_ACTION_GROUP_NEW_WINDOW(window)

`E_SHELL_WINDOW_ACTION_GROUP_NEW_WINDOW` is deprecated and should not be used in newly-written code.

## Types and Values